aboutsummaryrefslogtreecommitdiffstats
path: root/build-all.bash
diff options
context:
space:
mode:
Diffstat (limited to 'build-all.bash')
-rwxr-xr-xbuild-all.bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/build-all.bash b/build-all.bash
new file mode 100755
index 0000000..c6d172e
--- /dev/null
+++ b/build-all.bash
@@ -0,0 +1,9 @@
+#!/bin/bash
+set -ex
+
+BASE="$(readlink -f "$(dirname "$(readlink -f "$0")")")"
+for i in "$BASE"/kernels/*; do
+ KERNEL="${i##*/}"
+ [[ -d "$BASE/kernels/$KERNEL" ]] || continue
+ "$BASE/build-one.bash" "$KERNEL"
+done